Skip to main content
`Ctrl`+`K`

# PetscSynchronizedFlush

Flushes to the screen output from all processors involved in previous `PetscSynchronizedPrintf()`/`PetscSynchronizedFPrintf()` calls.

## Synopsis

    PetscErrorCode PetscSynchronizedFlush(MPI_Comm comm, FILE *fd)

Collective

## Input Parameters

- comm - the MPI communicator

- fd - the file pointer (valid on MPI rank 0 of the communicator), `PETSC_STDOUT` or value obtained from `PetscFOpen()`

## Note

If `PetscSynchronizedPrintf()` and/or `PetscSynchronizedFPrintf()` are called with different MPI communicators there must be an intervening call to `PetscSynchronizedFlush()` between the calls with different MPI communicators.

## See Also

`PetscSynchronizedPrintf()`, `PetscFPrintf()`, `PetscPrintf()`, `PetscViewerASCIIPrintf()`, `PetscViewerASCIISynchronizedPrintf()`

## Level

intermediate

## Location

src/sys/fileio/mprint.c

## Examples

src/sys/tutorials/ex2.c
src/dm/tutorials/ex51.c
src/dm/tutorials/ex5.c
src/ts/tutorials/ex10.c
src/vec/vec/tutorials/ex31.c
src/dm/tutorials/ex22.c
src/ksp/pc/tutorials/ex3.c
src/vec/vec/tutorials/ex9.c
src/vec/is/sf/tutorials/ex1.c
src/sys/tutorials/ex2f.F90

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages